| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | List of all members
Digikam::EditorToolSettings Class Reference
Inheritance diagram for Digikam::EditorToolSettings:

## Public Types
enum | ButtonCode { Default = 0x00000001 , Try = 0x00000002 , Ok = 0x00000004 , Cancel = 0x00000008 , SaveAs = 0x00000010 , Load = 0x00000020 }
typedef QFlags< ButtonCode > | Buttons
enum | ToolCode { NoTool = 0x00000000 , ColorGuide = 0x00000001 , Histogram = 0x00000002 }
typedef QFlags< ToolCode > | Tools

## Signals
void | signalCancelClicked ()
void | signalChannelChanged ()
void | signalColorGuideChanged ()
void | signalDefaultClicked ()
void | signalLoadClicked ()
void | signalOkClicked ()
void | signalSaveAsClicked ()
void | signalScaleChanged ()
void | signalTryClicked ()

## Public Member Functions
| EditorToolSettings (QWidget *const parent)
QPushButton * | button (int buttonCode) const
void | enableButton (int buttonCode, bool state)
QColor | guideColor () const
int | guideSize () const
HistogramBox * | histogramBox () const
int | marginHint ()
QSize | minimumSizeHint () const override
QWidget * | plainPage () const
virtual void | readSettings ()
virtual void | resetSettings ()
virtual void | setBusy (bool)
void | setButtons (Buttons buttonMask)
void | setGuideColor (const QColor &color)
void | setGuideSize (int size)
void | setHistogramType (HistogramBoxType type)
void | setTool (EditorTool *const tool)
void | setTools (Tools toolMask)
int | spacingHint ()
virtual void | writeSettings ()